> ## Documentation Index
> Fetch the complete documentation index at: https://docs.affinda.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.affinda.com/feedback

```json
{
  "path": "/api-reference/search-&-match/match-a-single-resume-and-job-description",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Match a single resume and job description

> Get the matching score between a resume and a job description. The score ranges between 0 and 1, with 0 being not a match at all, and 1 being perfect match.<br/> Note, this score will not directly match the score returned from POST [/resume_search/details/{identifier}](#post-/resume_search/details/-identifier-).



## OpenAPI

````yaml https://api.affinda.com/static/v3/api_spec.yaml get /v3/resume_search/match
openapi: 3.0.3
info:
  description: >-
    # Introduction

    Affinda uses the latest advancements in AI technology to rapidly process
    documents with better-than-human accuracy.

    This guide covers how to:

    * Extract structured data from a range of document types

    * Integrate our solutions into your platform

    * Manage users


    *Note: This API spec is for v3 of the API, the deprecated v2 documentation
    [can be found here](https://api.affinda.com/docs/v2)*


    > **Important: Use the correct API URL for your region.** Affinda is hosted
    across multiple instances. Make sure you are sending requests to the correct
    URL for your account:

    > | Instance | API Base URL |

    > |----------|-------------|

    > | **AUS / Global** | `https://api.affinda.com` |

    > | **US** | `https://api.us1.affinda.com` |

    > | **EU** | `https://api.eu1.affinda.com` |

    >

    > You can determine your instance from the URL you use to access the Affinda
    web app (e.g. `app.us1.affinda.com` means you are on the US instance). When
    using the "Try it" feature, select the matching region from the server
    dropdown.

    # Getting Started

    * Obtain an API key by [signing up for a
    free-trial](https://app.affinda.com/auth/register)

    * (Recommended) Download and install one of our client libraries: *
    [Python](https://github.com/affinda/affinda-python) : `pip install affinda`
    * [Javascript](https://github.com/affinda/affinda-typescript) : `npm install
    @affinda/affinda` * [.NET](https://github.com/affinda/affinda-dotnet):
    `dotnet add package Affinda.API` *
    [Java](https://github.com/affinda/affinda-java) - [maven
    repository](https://mvnrepository.com/artifact/com.affinda.api/affinda-api-client)

    * Without a client library, API requests via HTTP according to the API spec
    in this documentation
  version: v3
  title: Affinda API
  contact:
    email: contact@affinda.com
  license:
    name: MIT
    url: https://raw.githubusercontent.com/affinda/affinda-api-spec/master/LICENSE
  x-logo:
    url: https://api.affinda.com/static/documentation/affinda_logo.png
    backgroundColor: '#FFFFFF'
    altText: Affinda logo
servers:
  - url: https://{region}.affinda.com
    description: >-
      Select the correct server for your instance: api (AUS/Global), api.us1
      (US), or api.eu1 (EU).
    variables:
      region:
        default: api
        description: >-
          The instance region. Use 'api' for AUS/Global, 'api.us1' for US, or
          'api.eu1' for EU. You can find your region in the Affinda web app URL.
        enum:
          - api
          - api.eu1
          - api.us1
        x-ms-parameter-location: client
security:
  - ApiKeyAuth: []
tags:
  - name: Documents
    description: >
      Operations to upload documents for parsing.


      A document can be uploaded using `file` or `url`, one of these parameters
      must be provided.


      A document can be uploaded to a `workspace` or a `collection`, one of
      these parameters must also be provided.


      When uploaded to a workspace, the document's specific type will be
      predicted and auto classified into one of the collections before being
      parsed.


      When uploaded to a collection, the document will be parsed using that
      collection's extractor.
  - name: Organizations
    description: |
      Operations to manage organizations and organization memberships.

      Organizations are the top-level entity for managing users and workspaces.
  - name: Workspaces
    description: |
      Operations to manage workspaces.

      Workspaces group together related collections of documents.
  - name: Document Types
    description: >
      Operations to manage document types.


      Document types represent specific categories of documents with common
      extraction patterns, such as invoices or resumes.
  - name: Data Sources
    description: >
      Operations to manage custom mapping data sources. These are used to map
      from raw data extracted by

      Affinda AI models onto your own data model.
  - name: Validation Results
    description: >
      Operations to manage validation results.


      Validation results track the status and outcomes of document validation
      processes.
  - name: Usage
    description: >
      Operations to retrieve credits consumption.


      Returns daily credits usage for an organization, optionally narrowed to a
      single

      workspace or document type.
  - name: Tags
    description: >
      Operations to manage tags.


      Tags can be arbitrarily attached to documents to help organize and manage
      them.
  - name: Annotations
    description: >
      Operations to manually create, update, delete annotations.


      Together with the data point endpoints, these helps to annotate your
      documents with arbitrary data,

      or to edit annotations that were created by the Affinda parser.
  - name: Webhooks
    description: >
      Manage webhook integrations with your apps.


      Affinda have implemented webhooks to allow the data extracted by Affinda
      to be 'pushed' to you when an event occurs

      (e.g. document parsed or document validated), instead of you having to
      constantly poll our API to 'pull' the data to your system.
  - name: Search & Match
    description: >
      Operations to search through an index of documents and manage indexes via
      the Affinda Resume Parser API or a client library.


      Resumes and job descriptions must be explicitly added to an index, which
      then makes them searchable.
  - name: Deprecated End Points
    description: >
      Deprecated endpoints that are maintained for backward compatibility.


      These endpoints include Data Point, Collection, and Users functionality
      that has been superseded by newer APIs.
  - name: Add x-hidden to endpoints
    description: >
      Hidden endpoints not intended for public use.


      These endpoints include Splitting, Extractor, Organization, and Workspace
      Memberships & Usage functionality.
paths:
  /v3/resume_search/match:
    get:
      tags:
        - Search & Match
      summary: Match a single resume and job description
      description: >-
        Get the matching score between a resume and a job description. The score
        ranges between 0 and 1, with 0 being not a match at all, and 1 being
        perfect match.<br/> Note, this score will not directly match the score
        returned from POST
        [/resume_search/details/{identifier}](#post-/resume_search/details/-identifier-).
      operationId: getResumeSearchMatch
      parameters:
        - in: query
          name: resume
          required: true
          schema:
            type: string
          description: Identify the resume to match.
          example: ytBrHSmF
        - in: query
          name: job_description
          required: true
          schema:
            type: string
          description: Identify the job description to match.
          example: fkAmLQQz
        - in: query
          name: index
          required: false
          schema:
            type: string
          description: >-
            Optionally, specify an index to search in. If not specified, will
            search in all indexes.
          example: my-custom-index
        - in: query
          name: search_expression
          required: false
          schema:
            type: string
          description: Add keywords to the search criteria.
        - in: query
          name: job_titles_weight
          required: false
          schema:
            type: number
            minimum: 0
            maximum: 1
          description: >-
            How important is this criteria to the matching score, range from 0
            to 1.
        - in: query
          name: years_experience_weight
          required: false
          schema:
            type: number
            minimum: 0
            maximum: 1
          description: >-
            How important is this criteria to the matching score, range from 0
            to 1.
        - in: query
          name: locations_weight
          required: false
          schema:
            type: number
            minimum: 0
            maximum: 1
          description: >-
            How important is this criteria to the matching score, range from 0
            to 1.
        - in: query
          name: languages_weight
          required: false
          schema:
            type: number
            minimum: 0
            maximum: 1
          description: >-
            How important is this criteria to the matching score, range from 0
            to 1.
        - in: query
          name: skills_weight
          required: false
          schema:
            type: number
            minimum: 0
            maximum: 1
          description: >-
            How important is this criteria to the matching score, range from 0
            to 1.
        - in: query
          name: education_weight
          required: false
          schema:
            type: number
            minimum: 0
            maximum: 1
          description: >-
            How important is this criteria to the matching score, range from 0
            to 1.
        - in: query
          name: search_expression_weight
          required: false
          schema:
            type: number
            minimum: 0
            maximum: 1
          description: >-
            How important is this criteria to the matching score, range from 0
            to 1.
        - in: query
          name: soc_codes_weight
          required: false
          schema:
            type: number
            minimum: 0
            maximum: 1
          description: >-
            How important is this criteria to the matching score, range from 0
            to 1.
        - in: query
          name: management_level_weight
          required: false
          schema:
            type: number
            minimum: 0
            maximum: 1
          description: >-
            How important is this criteria to the matching score, range from 0
            to 1.
      responses:
        '200':
          description: The matching score between the provided resume and job description.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResumeSearchMatch'
        '400':
          $ref: '#/components/responses/400Error'
        '401':
          $ref: '#/components/responses/401Error'
        default:
          $ref: '#/components/responses/DefaultError'
components:
  schemas:
    ResumeSearchMatch:
      type: object
      properties:
        score:
          type: number
          minimum: 0
          maximum: 1
          nullable: false
          description: The matching score between the provided resume and job description.
          example: 0.75
        details:
          type: object
          properties:
            jobTitle:
              $ref: '#/components/schemas/JobTitleSearchScoreComponent'
            managementLevel:
              $ref: '#/components/schemas/ManagementLevelSearchScoreComponent'
            experience:
              $ref: '#/components/schemas/ExperienceSearchScoreComponent'
            skills:
              $ref: '#/components/schemas/SkillsSearchScoreComponent'
            languages:
              $ref: '#/components/schemas/LanguagesSearchScoreComponent'
            location:
              $ref: '#/components/schemas/LocationSearchScoreComponent'
            education:
              $ref: '#/components/schemas/EducationSearchScoreComponent'
            occupationGroup:
              $ref: '#/components/schemas/OccupationGroupSearchScoreComponent'
            searchExpression:
              $ref: '#/components/schemas/SearchExpressionSearchScoreComponent'
    JobTitleSearchScoreComponent:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        value:
          type: string
          example: Software Developer
        label:
          type: string
          example: Job Title
        score:
          type: number
          nullable: true
          example: 0.68
    ManagementLevelSearchScoreComponent:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        value:
          type: string
          example: Low
        label:
          type: string
          example: Management level
        score:
          type: number
          nullable: true
          example: 0.68
    ExperienceSearchScoreComponent:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        value:
          type: string
          example: 2.0 - 3.0 years
        label:
          type: string
          example: Experience
        score:
          type: number
          nullable: true
          example: 0.68
    SkillsSearchScoreComponent:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        value:
          type: string
          example: Python (Programming Language), Software Development
        label:
          type: string
          example: Skills
        score:
          type: number
          nullable: true
          example: 0.68
    LanguagesSearchScoreComponent:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        value:
          type: string
          example: English
        label:
          type: string
          example: Languages
        score:
          type: number
          nullable: true
          example: 0.68
    LocationSearchScoreComponent:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        value:
          type: string
          example: Roxburgh Park, Australia
        label:
          type: string
          example: Location
        score:
          type: number
          nullable: true
          example: 0.68
    EducationSearchScoreComponent:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        value:
          type: string
          example: Architecture Interior Design
        label:
          type: string
          example: Education
        score:
          type: number
          nullable: true
          example: 0.68
    OccupationGroupSearchScoreComponent:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        value:
          type: string
          example: Programmers and software development professionals
        label:
          type: string
          example: Occupation group
        score:
          type: number
          nullable: true
          example: 0.68
    SearchExpressionSearchScoreComponent:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        label:
          type: string
          example: Search expression
        value:
          type: string
        score:
          type: number
          nullable: true
          example: 0.68
    RequestError:
      type: object
      additionalProperties: false
      required:
        - type
        - errors
      properties:
        type:
          type: string
          example: validation_error
        errors:
          type: array
          items:
            type: object
            required:
              - attr
              - code
              - detail
            properties:
              attr:
                type: string
                nullable: true
                example: non_field_errors
              code:
                type: string
                example: unique
              detail:
                type: string
                example: This index name has already been used
  responses:
    400Error:
      description: >-
        Bad request. If it is a validation error will contain a list of each
        invalid field
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RequestError'
      x-ms-error-response: true
    401Error:
      description: Authorisation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RequestError'
      x-ms-error-response: true
    DefaultError:
      description: UnexpectedError
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RequestError'
      x-ms-error-response: true
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: >-
        Basic authentication using an API key, e.g. `{Authorization: Bearer
        aff_0bb4fbdf97b7e4111ff6c0015471094155f91}`.

        You can find your API key within the Settings page of the [Affinda web
        app](https://app.affinda.com/). You can obtain an API key by [signing up
        for a free trial](https://app.affinda.com/auth/register).

````